#!QTCLSH
#
# Copyright (C) 1997 Herrin Software Development, Inc.
# All rights reserved.
#
# This file is part of Qfaq

#
# Customize prologue to your liking
# (prologue is output before the question/answer text)
#
set prologue {
<HTML>
<!-- THIS PAGE IS AUTOMATICALLY GENERATED.  DO NOT EDIT. -->

<HEAD>
<TITLE>FAQ</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF" TEXT="#000000">
<p>
}

#
# Customize epilogue to your liking
# (epilogue is output after the question/answer text)
#
set epilogue {
</BODY>
</HTML>
}


if {$argc == 0} {
    puts "Usage: $argv0 <RelationName>"
    exit 1
} elseif {[string compare [string index [lindex $argv 0] 0] "-"] == 0} {
    puts "Usage: $argv0 RelationName"
    exit 1
} else {
    set qfaqname [lindex $argv 0]
}
if {[catch "exec qnewdb $qfaqname"] != 0} {
    puts "Qfaq database \"$qfaqname\" creation failed!"
    exit 1
}
if {[catch "exec qnewdb $qfaqname/Setup"] != 0} {
    puts "Qfaq database \"$qfaqname/Setup\" creation failed!"
    exit 1
}
file copy -force LIBRARY_DIR/Schema $qfaqname/Schema
file copy -force LIBRARY_DIR/Schema-Setup $qfaqname/Setup/Schema
file copy -force LIBRARY_DIR/QddbScript $qfaqname/QddbScript
file copy -force LIBRARY_DIR/QddbScript-setup $qfaqname/Setup/QddbScript
file copy -force LIBRARY_DIR/ExcludeWords $qfaqname/ExcludeWords
file copy -force LIBRARY_DIR/ExcludeWords $qfaqname/Setup/ExcludeWords

# Write the Setup information
set s [qddb_schema open $qfaqname/Setup]
set t [qddb_tuple new $s]
set v [qddb_view define $t {
    {Prologue tmp_prologue}
    {Epilogue tmp_epilogue}}]
set tmp_prologue $prologue
set tmp_epilogue $epilogue
if {[catch "qddb_tuple write $t"] != 0} {
    puts "Writing default setup failed, please check your database"
    exit 1
}

puts "Qfaq databases \"$qfaqname\" and \"$qfaqname/Setup\" successfully created."
exit 0

